bus_rescan_devices
Prev | Device Drivers Base | Next

## Name

bus_rescan_devices — rescan devices on the bus for possible drivers

## Synopsis

`int bus_rescan_devices (` | struct bus_type * | bus`)`;

## Arguments

`bus`

  the bus to scan.

## Description

This function will look for devices on the bus with no driver attached and rescan it against existing drivers to see if it matches any by calling `device_attach` for the unbound devices.

Prev | Up | Next
bus_for_each_drv | Home | device_reprobe